Skip to main content
Resource Center/Hardware/Backup Storage Operations
GETBackup Storage OperationsSince 0.6SynchronousAuth Required

QueryBackupStorage

QueryBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

GET/zstack/v1/backup-storage

/zstack/v1/backup-storage

Operation ID

QueryBackupStorage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/backup-storage' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "attachedZoneUuids": [ "140ebc2fbdb74ae197323a69d432f25e" ], "availableCapacity": 4931431059456, "createDate": "Apr 11, 2018 2:50:54 PM", "description": "", "hostname": "172.20.1.115", "lastOpDate": "Dec 13, 2019 7:32:49 PM", "name": "image-store", "sshPort": 22, "state": "Enabled", "status": "Connected", "totalCapacity": 9992857976832, "type": "ImageStoreBackupStorage", "url": "/zstack_imagestore", "username": "root", "uuid": "1ab3b836a88342e1bbc1b1a17d092f0f" } ], "success": true }

Change History

This API has no change history records yet.

View all change history